package cn.iocoder.yudao.module.mes.dal.mysql.itemrequisition;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.itemrequisition.ItemRequisitionDetailDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 领料明细 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface ItemRequisitionDetailMapper extends BaseMapperX<ItemRequisitionDetailDO> {

    default List<ItemRequisitionDetailDO> selectListByItemRequisitionId(Long itemRequisitionId) {
        return selectList(ItemRequisitionDetailDO::getItemRequisitionId, itemRequisitionId);
    }

    default int deleteByItemRequisitionId(Long itemRequisitionId) {
        return delete(ItemRequisitionDetailDO::getItemRequisitionId, itemRequisitionId);
    }

    default ItemRequisitionDetailDO selectBy(Long itemRequisitionId, Long itemId) {
        return selectOne(ItemRequisitionDetailDO::getItemRequisitionId, itemRequisitionId,
                ItemRequisitionDetailDO::getProductId, itemId);
    }

}